Bug 522265 - rotate leave display blank for laptop w/ Radeon HD 3400 / [1002:95c4]
Summary: rotate leave display blank for laptop w/ Radeon HD 3400 / [1002:95c4]
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 22:32 UTC by Nick Lamb
Modified: 2018-04-11 10:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 13:39:40 UTC


Attachments (Terms of Use)
dmesg showing output from radeon driver after failed rotation (73.49 KB, text/plain)
2009-09-09 22:32 UTC, Nick Lamb
no flags Details

Description Nick Lamb 2009-09-09 22:32:54 UTC
Created attachment 360362 [details]
dmesg showing output from radeon driver after failed rotation

Description of problem:

Using nomodeset due to bug 522260

followed instructions for testing XRandR, tried to rotate the screen. The screen went blank, and X never recovered.

By switching to vt-2, I got an ordinary text mode, and dumped the 'dmesg'. There was nothing interesting in the Xorg log, the dmesg output is attached.

Comment 1 Matěj Cepl 2009-11-05 17:15:35 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Jérôme Glisse 2009-11-13 13:39:40 UTC
HD3450 all rotation works with KMS no problem here, i am closing the bug, please reopen if you still have this issue with the lastest Fedora 12.


Note You need to log in before you can comment on or make changes to this bug.